Package org.kie.api.builder

## Enum ReleaseIdComparator.SortDirection

- java.lang.Object
- - java.lang.Enum<ReleaseIdComparator.SortDirection>
  - - org.kie.api.builder.ReleaseIdComparator.SortDirection

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ReleaseIdComparator.SortDirection>`
  Enclosing class:
    ReleaseIdComparator

      public static enum ReleaseIdComparator.SortDirection
      extends java.lang.Enum<ReleaseIdComparator.SortDirection>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ASCENDING` |
    `DESCENDING` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ReleaseIdComparator.SortDirection` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ReleaseIdComparator.SortDirection[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ASCENDING

          public static final ReleaseIdComparator.SortDirection ASCENDING

    - #### DESCENDING

          public static final ReleaseIdComparator.SortDirection DESCENDING

  - ### Method Detail

    - #### values

          public static ReleaseIdComparator.SortDirection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ReleaseIdComparator.SortDirection c : ReleaseIdComparator.SortDirection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ReleaseIdComparator.SortDirection valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null